Package com.google.android.exoplayer2.testutil.truth

## Interface SpannedSubject.Colored

- Enclosing class:
    SpannedSubject

      public static interface SpannedSubject.Colored

  Allows assertions about the color of a span.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SpannedSubject.AndSpanFlags` | `withColor​(int color)` | Checks that at least one of the matched spans has the expected `color`.

- - ### Method Detail

    - #### withColor

          SpannedSubject.AndSpanFlags withColor​(int color)

      Checks that at least one of the matched spans has the expected `color`.
      Parameters:
        `color` - The expected color.
      Returns:
        A `SpannedSubject.WithSpanFlags` object for optional additional assertions on the flags.